summaryrefslogtreecommitdiffstats
path: root/meta/recipes-extended
diff options
context:
space:
mode:
authorHongxu Jia <hongxu.jia@windriver.com>2013-09-14 05:16:22 +0000
committerRichard Purdie <richard.purdie@linuxfoundation.org>2013-09-17 14:29:12 +0100
commitf646f96015b408f4c6d56998f08178a69ed9f2a6 (patch)
tree0608afd3d317c002d4575614a3bf45132effa56a /meta/recipes-extended
parentaaa85b0706197423786dfeae386dbb402ee15684 (diff)
downloadopenembedded-core-f646f96015b408f4c6d56998f08178a69ed9f2a6.tar.gz
openembedded-core-f646f96015b408f4c6d56998f08178a69ed9f2a6.tar.bz2
openembedded-core-f646f96015b408f4c6d56998f08178a69ed9f2a6.zip
LSB 4.1 Library Check: fix unable to find library libqt-mt.so.3
The libqt-mt is tested by lsb-dist-checker and lsb-test-desktop, and it locates in meta-qt3 layer. So if meta-qt3 is not added, there should be a warning to call attention; if added, it will add libqt-mt to RDEPENDS. [YOCTO #5153] Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Saul Wold <sgw@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/recipes-extended')
-rw-r--r--meta/recipes-extended/packagegroups/packagegroup-core-lsb.bb11
1 files changed, 11 insertions, 0 deletions
diff --git a/meta/recipes-extended/packagegroups/packagegroup-core-lsb.bb b/meta/recipes-extended/packagegroups/packagegroup-core-lsb.bb
index 1c1a8d1950..68070e4f02 100644
--- a/meta/recipes-extended/packagegroups/packagegroup-core-lsb.bb
+++ b/meta/recipes-extended/packagegroups/packagegroup-core-lsb.bb
@@ -193,6 +193,16 @@ RDEPENDS_packagegroup-core-lsb-python = "\
python-misc \
"
+def get_libqt3(d):
+ if 'linuxstdbase' in d.getVar('DISTROOVERRIDES') or "":
+ if 'qt3' in d.getVar('BBFILE_COLLECTIONS') or "":
+ return 'libqt-mt3'
+
+ bb.warn('The meta-qt3 layer should be added, this layer provides Qt 3.x')
+ bb.warn('libraries. Its intended use is for passing LSB tests as Qt3 is')
+ bb.warn('a requirement for LSB')
+ return ''
+
SUMMARY_packagegroup-core-lsb-desktop = "LSB Desktop"
DESCRIPTION_packagegroup-core-lsb-desktop = "Packages required to support libraries \
specified in the LSB Desktop specification"
@@ -221,6 +231,7 @@ RDEPENDS_packagegroup-core-lsb-desktop = "\
atk \
libasound \
${@base_contains("DISTRO_FEATURES", "opengl", "libqtopengl4", "", d)} \
+ ${@get_libqt3(d)} \
"
RDEPENDS_packagegroup-core-lsb-runtime-add = "\